#include "SPI.h"
#include "Adafruit_GFX.h"
#include "Adafruit_ILI9341.h"

////////// C O N E X I O N E S ///////////
#define TFT_DC 9
#define TFT_CS 10
// SCK          PIN13
// SDO(MISO)    PIN12
// SDI (MOSI)   PIN11
// 3.3V  --> Vcc / LED / RESET


  Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC);
  
  int x=50;
  int y=50;
  int Sx=1;
  int Sy=1;
  int Ax=3;
  int Ay=3;
  int pot = 100;

  void setup() {
    Serial.begin(9600);
    tft.begin();
    tft.fillScreen(ILI9341_BLACK);
  }

  void loop() {
    tft.fillCircle(x,y,30,ILI9341_BLACK);
    tft.fillRect(pot,280,30,10, ILI9341_BLACK);
    if(x>230 || x<10) Sx = -Sx;
    if(y>270 && x>pot && x<pot+30 && y<270+Ay) Sy = -Sy;
    if(y<10) Sy = -Sy;
    x=x+Sx*Ax;
    y=y+Sy*Ay;
    pot = analogRead(A0)/5;
    tft.fillCircle(x,y,10,0x67E0);
    tft.fillRect(pot,280,30,10, 0xFC7F);
    delay(33);
  }
